# ops-tracing

**First-party OpenTelemetry integration for the [ops](https://pypi.org/project/ops/) framework.**
This package adds tracing capabilities to ops, enabling you to observe the performance of your applications.

---

## Overview

- Seamless integration with [ops](https://pypi.org/project/ops/)
- Built on OpenTelemetry
- Enables tracing of your charm code

Please add `ops[tracing]` to your charm's dependencies, rather than this package directly.

---

## Documentation

Comprehensive docs for the ops framework, including tracing features, are available at:
[ops on PyPI](https://pypi.org/project/ops/)

You’ll find setup instructions, usage examples, and best practices for leveraging the tracing functionality.

---

## Community and Support

- **Matrix Chat**: [Ops Library Development](https://matrix.to/#/#charmhub-ops:ubuntu.com)
- **Forum**: [Charmhub - Discuss Python operator development](https://discourse.charmhub.io/)
- **Issue Tracker**: See [GitHub issues](https://github.com/canonical/ops/issues)
- **Further Links**: See the [ops PyPI page](https://pypi.org/project/ops/)

Feedback, contributions, and bug reports are always welcome. Please follow the guidelines in the main `ops` repository if you’d like to contribute.

---

## License

This project is licensed under the same license as `ops`.
Refer to the `ops` repository for full details.

---

Happy tracing!
